Package de.geolykt.starloader.deobf.access

# Enum Class AccessFlagModifier.Type

java.lang.Object
java.lang.Enum<AccessFlagModifier.Type>
de.geolykt.starloader.deobf.access.AccessFlagModifier.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessFlagModifier.Type>`, `Constable`

Enclosing class:
  `AccessFlagModifier`

@Deprecated @ScheduledForRemoval(inVersion="5.0.0") public static enum AccessFlagModifier.Type extends Enum<AccessFlagModifier.Type>
Deprecated.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASS`
Deprecated.
`FIELD`
Deprecated.
`METHOD`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Deprecated.
`static AccessFlagModifier.Type`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static AccessFlagModifier.Type[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASS

public static final AccessFlagModifier.Type CLASS
Deprecated.

### METHOD

public static final AccessFlagModifier.Type METHOD
Deprecated.

### FIELD

public static final AccessFlagModifier.Type FIELD
Deprecated.

## Method Details

### values

public static AccessFlagModifier.Type[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AccessFlagModifier.Type valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Enum<AccessFlagModifier.Type>`